Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/zbar: new aport

From: Diego Queiroz <diego.queiroz_at_gmail.com>
Date: Thu, 29 Sep 2016 06:04:09 +0000

http://zbar.sourceforge.net/
Port of ZBAR BAR CODE READER
---
 testing/zbar/APKBUILD | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)
 create mode 100644 testing/zbar/APKBUILD
diff --git a/testing/zbar/APKBUILD b/testing/zbar/APKBUILD
new file mode 100644
index 0000000..a5851c7
--- /dev/null
+++ b/testing/zbar/APKBUILD
_at_@ -0,0 +1,31 @@
+# Contributor: Diego Queiroz <diego.queiroz_at_gmail.com>
+# Maintainer: Diego Queiroz <diego.queiroz_at_gmail.com>
+pkgname=zbar
+pkgver=0.10
+pkgrel=0
+pkgdesc="Port of ZBAR BAR CODE READER"
+url="http://zbar.sourceforge.net/"
+arch="all"
+license="LGPL2+"
+depends="imagemagick-dev gtk+-dev py-gtk-dev py-gobject qt-dev g++ libtool lcms2-dev"
+makedepends=""
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://sourceforge.net/projects/zbar/files/zbar/$pkgver/zbar-$pkgver.tar.bz2"
+
+builddir="$srcdir"/zbar-$pkgver
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr --disable-video || return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	ls
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="0fd61eb590ac1bab62a77913c8b086a5  zbar-0.10.tar.bz2"
+sha256sums="234efb39dbbe5cef4189cc76f37afbe3cfcfb45ae52493bfe8e191318bdbadc6  zbar-0.10.tar.bz2"
+sha512sums="76cb8a469e3ac9ea7932a95c500cf933501249cdb8dce4df558bf5681bd44c62111327b494e6e887079a5fd30b32154887dcc12962e6d27b1453f55457483db4  zbar-0.10.tar.bz2"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Sep 29 2016 - 06:04:09 GMT